Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create agent automation

POST/workspaces/{organizationId}/agent/automations
Path parameters
organizationIdstringrequired
Request body
application/json
namestringrequired
min length 1
promptstringrequired
min length 1
agentIdstringrequired
teamIdstring
issueIdstring
triggerKindstringrequired
Allowed:cronevent
triggerValuestringrequired
min length 1
Responses
201

Automation created

idstringrequired
organizationIdstringrequired
namestringrequired
promptstringrequired
agentIdstringrequired
teamIdstring | nullrequired
issueIdstring | nullrequired
triggerKindstringrequired
Allowed:cronevent
triggerValuestringrequired
enablednumberrequired
lastFiredAtstring | nullrequired
createdBystring | nullrequired
createdAtstringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST '/workspaces/string/agent/automations' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "prompt": "string",
  "agentId": "string",
  "teamId": "string",
  "issueId": "string",
  "triggerKind": "cron",
  "triggerValue": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "name": "string",
  "prompt": "string",
  "agentId": "string",
  "teamId": "string",
  "issueId": "string",
  "triggerKind": "cron",
  "triggerValue": "string",
  "enabled": 0,
  "lastFiredAt": "string",
  "createdBy": "string",
  "createdAt": "string"
}